{% extends "base_template.html" %}

{% block title %} Registrar de usuarios {% endblock %}

{% block content %}
    <div class="my-3 p-3 bg-body rounded shadow-sm">
        {% if error %}
            <span style="color: red">Error: {{ error }}</span>
        {% endif %}
        <form action="" method="post" novalidate>
            {# add token by CSRF #}
            {{ form.hidden_tag() }}
            <div class="row">
                <div class="mb-3">
                    <div class="col">
                        <label class="form-control-label">{{ form.name.label }}: </label>
                        {{ form.name(size=64, class_="form-control") }}<br>
                        {%  for error in form.name.errors %}
                        <span style="color: red">{{ error }}</span>
                        {% endfor %}
                        <!-- <input type="text" name="name" id="name" class="form-control"> -->
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="mb-3">
                    <div class="col">
                        <label class="form-control-label">{{ form.email.label }}: </label>
                        {{ form.email(size=64, class_="form-control") }}<br>
                        {% for error in form.email.errors %}
                        <span style="color: red">{{ error }}</span>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="mb-3">
                    <div class="col">
                        <label class="form-control-label">{{ form.password.label }}: </label>
                        {{ form.password(size=64, class_="form-control") }}<br>
                        {% for error in form.password.errors %}
                        <span style="color: red">{{ error }}</span>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="mb-3">
                    <div class="col">
                        {{ form.submit(class_="btn btn-primary btn-lg") }}
                    </div>
                </div>
            </div>
        </form>
    </div>
{% endblock %}
